Problem with "text" and "hatch"

Hi all

I finally decided to move all my LISP stuff from V7 to V10. There are no major issues so far
but now I´m really struggling with "text" and "hatch" :
The "text" program should pause to let you enter as many lines of text as you desire - it
doesn´t, it allows you to enter just one line of text, then after you hit "enter" for the
next line the program terminates.
The "hatch" program should pause to let you pick the areas you wish to hatch, but instead it
just terminates.

In both cases there are no error messages. I think the problem is similar in both programs
but I just don´t get it. Is it my error ? Both commands have been renamed, is something wrong
there, or is it the "pause" command ?

I enclosed some code snippets to show the effect, does anyone have similar problems ?


Cheers

Jörg

(defun c:test ( / )

;prüfen ob Layer existiert, wenn nein Layer erstellen
;Layer aktuell setzen

(if (null (tblobjname "Layer" "F__Grau_50"))

(command "-layer" "make" "F__Grau_50" "color" 252 "" "")

(command "-layer" "set" "F__Grau_50" "")

);if

;Schraffurmuster setzen

(setvar "hpname" "solid")

(command "-hatch" pause)

(while (> (getvar "cmdactive") 0)
(command pause)
) ; while

(princ)

);defun

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun c:test2 ( / pt)

(if (null (tblobjname "Layer" "T__Beschriftungen"))

(command "_-layer" "_make" "T__Beschriftungen" "_lw" "0.18" "" "")

(command "_-layer" "_set" "T__Beschriftungen" "")

);if

(initget 7)
(setq pt (getpoint "\nStartpunkt :"))

(setvar "textsize" 25.0)

(command "-text" pt "" pause)

(while (> (getvar "cmdactive") 0)
(command pause)
);while

(princ)

);defun

Comments

This discussion has been closed.